SystemPComputerSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SystemPComputerSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SystemPComputerSystem

All Superinterfaces:
  CIMSystem, ComputerSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

Deprecated. This class is deprecated in CDM v2.7, all instances that use this class should be represented at the sys.ComputerSystem class level. This class will be deleted in the next major version release (CDM v3) of the data model. A System p is a POWER5 (or higher) processor-based server. A System p can be configured to operate as a partitioned or nonpartitioned server. As a nonpartitioned server, a System p server operates as a traditional (standalone) computer system running either AIX or Linux.

    public interface SystemPComputerSystem

extends ComputerSystem

Persistable:
  true
Top Level:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT` Deprecated.

Method Summary
`int` | `getHardwarePlatform()` Deprecated.
`boolean` | `hasHardwarePlatform()` Deprecated.
`void` | `setHardwarePlatform(int x)` Deprecated.

Methods inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`getArchitecture, getAutoStart, getCdpDeviceId, getChildSystem, getConfigContents, getControllers, getCPU, getCPUCoresEnabled, getCPUCoresInstalled, getCPUDiesEnabled, getCPUDiesInstalled, getCPUSpeed, getCPUType, getDevices, getFCPorts, getFileSystems, getFqdn, getFunctions, getHostSystem, getIpInterfaces, getIsVMIDanLPAR, getL2Interfaces, getManufacturer, getMemory, getMemorySize, getModel, getName, getNumCPUs, getOSInstalled, getOSRunning, getPhysicalPackage, getPrimaryMACAddress, getProcessCapacityUnits, getProcessingCapacity, getProtocolControllers, getROMVersion, getSerialNumber, getSignature, getSiteInfo, getSnmpSystemGroup, getSystemBoardUUID, getSystemId, getType, getVirtual, getVMID, getZReportfiles, hasArchitecture, hasAutoStart, hasCdpDeviceId, hasChildSystem, hasConfigContents, hasControllers, hasCPU, hasCPUCoresEnabled, hasCPUCoresInstalled, hasCPUDiesEnabled, hasCPUDiesInstalled, hasCPUSpeed, hasCPUType, hasDevices, hasFCPorts, hasFileSystems, hasFqdn, hasFunctions, hasHostSystem, hasIpInterfaces, hasIsVMIDanLPAR, hasL2Interfaces, hasManufacturer, hasMemory, hasMemorySize, hasModel, hasName, hasNumCPUs, hasOSInstalled, hasOSRunning, hasPhysicalPackage, hasPrimaryMACAddress, hasProcessCapacityUnits, hasProcessingCapacity, hasProtocolControllers, hasROMVersion, hasSerialNumber, hasSignature, hasSiteInfo, hasSnmpSystemGroup, hasSystemBoardUUID, hasSystemId, hasType, hasVirtual, hasVMID, hasZReportfiles, setArchitecture, setAutoStart, setCdpDeviceId, setChildSystem, setConfigContents, setControllers, setCPU, setCPUCoresEnabled, setCPUCoresInstalled, setCPUDiesEnabled, setCPUDiesInstalled, setCPUSpeed, setCPUType, setDevices, setFCPorts, setFileSystems, setFqdn, setFunctions, setHostSystem, setIpInterfaces, setIsVMIDanLPAR, setL2Interfaces, setManufacturer, setMemory, setMemorySize, setModel, setName, setNumCPUs, setOSInstalled, setOSRunning, setPhysicalPackage, setPrimaryMACAddress, setProcessCapacityUnits, setProcessingCapacity, setProtocolControllers, setROMVersion, setSerialNumber, setSignature, setSiteInfo, setSnmpSystemGroup, setSystemBoardUUID, setSystemId, setType, setVirtual, setVMID, setZReportfiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getHardwarePlatform

    int getHardwarePlatform()
                            throws AttributeNotSetException

  Deprecated.
  Throws:
    `AttributeNotSetException`

### setHardwarePlatform

    void setHardwarePlatform(int x)

  Deprecated.

### hasHardwarePlatform

    boolean hasHardwarePlatform()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD